unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ShellCtrls, StdCtrls, FileCtrl, ExtCtrls, JvComponent,
  JvDBGridExport;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Memo2: TMemo;
    Label1: TLabel;
    ShellTreeView1: TShellTreeView;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    FileListBox1: TFileListBox;
    Label4: TLabel;
    Edit1: TEdit;
    CheckBox1: TCheckBox;
    Panel1: TPanel;
    ShellTreeView2: TShellTreeView;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    JvDBGridHTMLExport1: TJvDBGridHTMLExport;
    procedure ShellTreeView1Change(Sender: TObject; Node: TTreeNode);
    procedure Edit1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ShellTreeView2Change(Sender: TObject; Node: TTreeNode);
  private
  procedure Strreplace(var a:string;b,c:string);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses StrUtils;

{$R *.dfm}

procedure TForm1.ShellTreeView1Change(Sender: TObject; Node: TTreeNode);
begin
  Label1.Caption := 'HTML file folder: '+ShellTreeView1.Path;
  FileListBox1.Directory := ShellTreeView1.Path;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  FileListBox1.Mask := Edit1.Text;
end;

procedure TForm1.Strreplace(var a:string;b,c:string);
var
  add,l , i,j,k : integer;
  nostatus , target : string;
begin
  add := 0;
  if CheckBox3.Checked then begin nostatus := 'onMouseOver="window.status=''''; return true;"';add := add+44; end;
  if CheckBox2.Checked then begin target := 'target=_blank'; add := add+13; end;
  i := 1;
  while i>=1 do
  begin
    l := Length(a)-length(b);
    j := posex('<',a,i);
    k := posex('>',a,i);
    i := PosEx(b,a,i);
    if i<1 then break;
    if  (i>=j) and (i<=k) and CheckBox4.Checked then
    begin
      i := k+1;
      continue;
    end;

      a := leftstr(a,i-1)+'<a '+nostatus+' '+target+' href='+c+'>'+b+'</a>'+rightstr(a,l-i+1);
      i := i + length(c)+length(b)+13+1+2+add;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  i , j : integer;
  name , t, s , outfile : string;
  f : textfile;
begin
  Randomize;
  for i := 0 to FileListBox1.Count-1 do
    begin
     name := FileListBox1.Directory + '\' + FileListBox1.Items[i];
     AssignFile(F,name);
     reset(F);
     outfile := '';
     while not eof(F) do
     begin
      Readln(F, S);
      for j:= 0 to memo1.Lines.Count-1 do
      begin
        t := memo1.lines[j];
          Strreplace(s,t,memo2.Lines[Random(memo2.Lines.Count)]);
      end;
      outfile := outfile + s + '<BR>' + #13#10;
     end;
    CloseFile(F);
     name := ShellTreeView2.Path + '\' + FileListBox1.Items[i];
    if CheckBox1.Checked then
    begin
      j := pos('.',name);
      if j>0 then name := leftstr(name,j-1);
      name  := name+'.html';
    end;
     AssignFile(F,name);
     Rewrite(F);
     write(F,outfile);
    CloseFile(F);
    end;
    ShowMessage('Operation Accomplished!');
end;

procedure TForm1.ShellTreeView2Change(Sender: TObject; Node: TTreeNode);
begin
  label7.Caption := 'Destination folder: '+ShellTreeView2.Path;
end;

end.
